#twister-plus-desktop-twister-container .swatch-prototype {
    display: none
}

#twister-plus-desktop-twister-container .a-cardui {
    overflow: visible
}

#twister-plus-desktop-twister-container .swatch-title-text-display {
    display: -webkit-box;
    /* -webkit-line-clamp: 2; */
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
    width: inherit
}

#twister-plus-desktop-twister-container .dimension-slot-info .loading-indicator-1 div,#twister-plus-desktop-twister-container .slots-padding .loading-indicator-1 div {
    text-align: center;
    width: calc(100% - 8px);
    height: 20px;
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAeAAAAABCAIAAACJ2epRAAAAcElEQVQ4y43UNxKAQAxDUe5/R+KSc+xpodDXvgt4xrKVpH8ZyrXCKVGlBVRrjdOiTuvRoI3OhGZt0Va0OTs6tFO7Itzag24Hhp7ocGBRWwSICfKdI8BR2ZscUO90CB7Q/m+NggOdU0aArstR5nwL+QW2FB7+RcGzTAAAAABJRU5ErkJggg==)
}

#twister-plus-desktop-twister-container .dimension-slot-info .loading-indicator-2 div,#twister-plus-desktop-twister-container .slots-padding .loading-indicator-2 div {
    margin-top: 4px!important;
    margin-bottom: 22px!important;
    height: 12px;
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAeAAAAABCAIAAACJ2epRAAAAcElEQVQ4y43UNxKAQAxDUe5/R+KSc+xpodDXvgt4xrKVpH8ZyrXCKVGlBVRrjdOiTuvRoI3OhGZt0Va0OTs6tFO7Itzag24Hhp7ocGBRWwSICfKdI8BR2ZscUO90CB7Q/m+NggOdU0aArstR5nwL+QW2FB7+RcGzTAAAAABJRU5ErkJggg==)
}

#twister-plus-desktop-twister-container .text-swatch-button {
    margin: 0;
    max-width: 175px;
    min-width: 50px;
    height: fit-content
}

#twister-plus-desktop-twister-container .text-swatch-button .a-button-text {
    padding: 7px;
    text-align: center
}

#twister-plus-desktop-twister-container .text-swatch-button .swatch-title-text-container {
    padding: 2px
}

/* 変更 */
#twister-plus-desktop-twister-container .text-swatch-button-with-slots {
    margin: 0;
    width: 140px;
}

#twister-plus-desktop-twister-container .text-swatch-button-with-slots .a-button-inner {
    background: linear-gradient(0deg,#FFF,#FFF),linear-gradient(0deg,#888C8C,#888C8C)
}

#twister-plus-desktop-twister-container .text-swatch-button-with-slots .a-button-input {
    padding: 4px
}

#twister-plus-desktop-twister-container .text-swatch-button-with-slots .a-button-text {
    text-align: left;
    padding: 0
}

#twister-plus-desktop-twister-container .text-swatch-button-with-slots .swatch-title-text-container {
    padding: 4px;
    font-weight: 700!important
}

#twister-plus-desktop-twister-container .text-swatch-button-with-slots .swatch-title-text-container .swatch-title-text {
    line-height: 15px!important
}

#twister-plus-desktop-twister-container .text-swatch-button-with-slots .slots-padding {
    padding: 4px;
    display: flex
}

#twister-plus-desktop-twister-container .text-swatch-button-with-slots .slots-padding .dimension-slot-info {
    width: 0;
    flex-grow: 1
}

#twister-plus-desktop-twister-container .text-swatch-button-with-slots .dimension-slot-info {
    padding-left: 4px;
    padding-right: 4px;
    padding-bottom: 4px
}

#twister-plus-desktop-twister-container .dimension-slot-info {
    height: 100%
}

#twister-plus-desktop-twister-container .swatch-list-item-text-non-js {
    margin: 0 6px 0 0
}

#twister-plus-desktop-twister-container .swatch-list-item-text {
    margin: 0 4px 0 4px;
    padding-top: 3px
}

#twister-plus-desktop-twister-container .swatch-list-item-text .a-button:not(.text-swatch-button-with-slots) .a-button-input,#twister-plus-desktop-twister-container .swatch-list-item-text .a-button:not(.text-swatch-button-with-slots) .a-button-text {
    padding: 4px
}

#twister-plus-desktop-twister-container .text-swatch-button-with-slots .a-button-inner:before,#twister-plus-desktop-twister-container .text-swatch-button-with-slots.a-button-selected:after {
    display: none
}

#twister-plus-desktop-twister-container .text-swatch-button .a-button-inner:before,#twister-plus-desktop-twister-container .text-swatch-button.a-button-selected:after {
    display: none;
    max-width: 175px;
    min-width: 50px
}

#twister-plus-desktop-twister-container .text-swatch-button-with-slots.a-button-selected .a-button-inner {
    padding: 2px
}

#twister-plus-desktop-twister-container .text-swatch-button-with-slots.a-button-selected .swatch-title-text-container {
    background: #edfdff;
    border-radius: 7px 7px 0 0
}

#twister-plus-desktop-twister-container .swatch-image-container {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center
}

#twister-plus-desktop-twister-container .swatch-image-container::before {
    content: '';
    display: block;
    position: absolute;
    z-index: 1;
    opacity: 3%;
    background: linear-gradient(0deg,#111,#111)
}

#twister-plus-desktop-twister-container .image-swatch-button-fallback.a-button-selected .swatch-image-container::before,#twister-plus-desktop-twister-container .image-swatch-button-with-slots-horizontal.a-button-selected .swatch-image-container::before,#twister-plus-desktop-twister-container .image-swatch-button-with-slots.a-button-selected .swatch-image-container::before,#twister-plus-desktop-twister-container .image-swatch-button.a-button-selected .swatch-image-container::before {
    background: linear-gradient(0deg,#F7FEFF,#F7FEFF)
}

#twister-plus-desktop-twister-container .image-swatch-button,#twister-plus-desktop-twister-container .image-swatch-button-fallback {
    margin: 0;
    height: 60px;
    width: 60px
}

#twister-plus-desktop-twister-container .image-swatch-button .a-button-inner,#twister-plus-desktop-twister-container .image-swatch-button-fallback .a-button-inner {
    background: linear-gradient(0deg,#FFF,#FFF),linear-gradient(0deg,#888C8C,#888C8C)
}

#twister-plus-desktop-twister-container .image-swatch-button .a-button-text,#twister-plus-desktop-twister-container .image-swatch-button-fallback .a-button-text {
    padding: 0;
    text-align: left
}

#twister-plus-desktop-twister-container .image-swatch-button .swatch-image,#twister-plus-desktop-twister-container .image-swatch-button-fallback .swatch-image {
    padding: 4px
}

#twister-plus-desktop-twister-container .image-swatch-button .swatch-text,#twister-plus-desktop-twister-container .image-swatch-button-fallback .swatch-text {
    display: none
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots {
    margin: 0;
    width: 75px
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots .a-button-inner {
    background: linear-gradient(0deg,#FFF,#FFF),linear-gradient(0deg,#888C8C,#888C8C);
    height: 100%
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots .a-button-text {
    padding: 0;
    text-align: left
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots .swatch-image-container {
    height: 50%
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots .swatch-image {
    padding: 4px
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots .swatch-text {
    padding: 0 4px 4px 4px;
    height: 50%
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots .dimension-slot-info .loading-indicator-1 div,#twister-plus-desktop-twister-container .image-swatch-button-with-slots .slots-padding .loading-indicator-1 div {
    margin: 6px 4px 28px!important
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots-horizontal {
    height: 75px;
    width: 140px;
    display: flex
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots-horizontal .a-button-inner {
    display: flex;
    background: linear-gradient(0deg,#FFF,#FFF),linear-gradient(0deg,#888C8C,#888C8C);
    width: 100%
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots-horizontal .a-button-text {
    display: flex;
    padding: 0;
    text-align: left;
    width: 100%
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots-horizontal .swatch-image-container {
    width: 40%;
    margin-left: auto
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots-horizontal .swatch-image {
    padding: 4px
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots-horizontal .swatch-text {
    padding: 2px;
    width: 50%
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots-horizontal hr {
    border: none;
    border-left: 1px solid #888C8C;
    height: 100%
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots-horizontal .dimension-slot-info .loading-indicator-1 div,#twister-plus-desktop-twister-container .image-swatch-button-with-slots-horizontal .slots-padding .loading-indicator-1 div {
    margin: 6px 2px 28px!important
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots.a-button-selected .a-button-inner .a-button-text .a-divider-normal {
    width: calc(100% - 4px)!important
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots-horizontal.a-button-selected .a-button-inner .a-button-text .a-divider-normal {
    height: calc(100% - 4px)!important;
    margin-top: 2px
}

#twister-plus-desktop-twister-container .image-swatch-button .a-button-inner:before,#twister-plus-desktop-twister-container .image-swatch-button-fallback .a-button-inner:before,#twister-plus-desktop-twister-container .image-swatch-button-fallback.a-button-selected:after,#twister-plus-desktop-twister-container .image-swatch-button-with-slots .a-button-inner:before,#twister-plus-desktop-twister-container .image-swatch-button-with-slots-horizontal .a-button-inner:before,#twister-plus-desktop-twister-container .image-swatch-button-with-slots-horizontal.a-button-selected:after,#twister-plus-desktop-twister-container .image-swatch-button-with-slots.a-button-selected:after,#twister-plus-desktop-twister-container .image-swatch-button.a-button-selected:after {
    display: none
}

#twister-plus-desktop-twister-container .slots-hidden .swatch-image-container {
    margin: 0
}

#twister-plus-desktop-twister-container .slots-hidden .default-slot-unavailable {
    display: none
}

#twister-plus-desktop-twister-container .image-swatch-button-with-slots-horizontal.a-button-unavailable hr {
    border: none;
    border-left: 1px dashed #888C8c;
    height: 100%
}

#twister-plus-desktop-twister-container .dimension-heading {
    display: -webkit-box;
    /* -webkit-line-clamp: 1; */
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
    width: 100%;
    align-items: center;
    cursor: pointer
}

#twister-plus-desktop-twister-container .dimension-values-list {
    text-align: left;
    margin: 0!important
}

#twister-plus-desktop-twister-container .dimension-text {
    flex-grow: 2;
    padding-right: 10px;
    width: 90%
}

#twister-plus-desktop-twister-container .dimension-value-list-item-square-image {
    vertical-align: top;
    margin: 0;
    height: fit-content;
    height: -moz-fit-content
}

#twister-plus-desktop-twister-container .inline-twister-swatch {
    margin-bottom: 4px
}

#twister-plus-desktop-twister-container .dimension-value-list-item-square-image.inline-twister-swatch {
    padding: 2px 4px
}

#twister-plus-desktop-twister-container .inline-twister-swatch a {
    left: 0;
    position: absolute;
    top: 0;
    z-index: 99
}

#twister-plus-desktop-twister-container .inline-twister-dimension {
    display: flex;
    position: relative
}

#twister-plus-desktop-twister-container .inline-twister-card-padding {
    padding: 0;
    margin: 0
}

#twister-plus-desktop-twister-container .inline-twister-card-padding .a-cardui-body {
    padding: 0
}

#twister-plus-desktop-twister-container .inline-twister-singleton-header {
    padding: 4px 0
}

#twister-plus-desktop-twister-container .a-button-selected .a-button-text {
    font-weight: 400
}

#twister-plus-desktop-twister-container .tp-inline-twister-line-break {
    margin: -8px
}

#twister-plus-desktop-twister-container #deliveryPromisePrefix {
    font-size: 10px!important;
    line-height: 12px!important;
    display: inline-block
}

#twister-plus-desktop-twister-container #twisterAvailability {
    font-size: 11px!important
}
/* 追加 */
#twister-plus-desktop-twister-container .a-quality,
#twister-plus-desktop-twister-container .a-price-symbol,
#twister-plus-desktop-twister-container .price {
    font-size: 11px !important;
}

#twister-plus-desktop-twister-container .a-unordered-list.a-horizontal {
    display: flex;
    flex-wrap: wrap
}

#twister-plus-desktop-twister-container .a-button .a-button-inner .a-section {
    margin-bottom: 0
}

#twister-plus-desktop-twister-container.inline-twister-container-margins,#twister-plus-desktop-twister-container.inline-twister-container-margins:after,#twister-plus-desktop-twister-container.inline-twister-container-margins:before {
    margin: 0
}

#tp-inline-twister-dim-values-container {
    padding-bottom: 3px;
    display: flex
}

#twister-plus-inline-twister .a-dropdown-container {
    margin: 5px
}

#twister-plus-inline-twister label {
    display: inline;
    color: #565959;
    font-weight: 400
}

#dp.luxury #twister-plus-desktop-twister-container .a-button-toggle.a-button {
    border-radius: 8px!important;
    background-color: linear-gradient(0deg,#FFF,#FFF),linear-gradient(0deg,#888C8C,#888C8C)!important;
    border-color: #888C8C!important
}

#dp.luxury #twister-plus-desktop-twister-container .a-button-toggle.a-button .a-button-inner {
    border-radius: 7px!important
}

#dp.luxury #twister-plus-desktop-twister-container .a-button-toggle.a-button-selected {
    border-color: #007185!important;
    background-color: #007185!important;
    border-radius: 8px!important
}

#dp.luxury #twister-plus-desktop-twister-container .a-button-toggle.a-button-selected .a-button-inner {
    box-shadow: inset 0 0 0 3px #007185!important;
    border-radius: 7px!important
}

#dp.luxury #twister-plus-desktop-twister-container .a-button.a-button-focus {
    outline: 3px solid #007185!important;
    outline-offset: 2px!important;
    box-shadow: none!important
}

#twister-plus-desktop-twister-container .apex_on_twister_price .centralizedApexPricePerUnitCSS {
    margin-top: -4px!important;
    line-height: 4px!important
}

#twister-plus-desktop-twister-container .apex_on_twister_price .centralizedApexPricePerUnitCSS .a-size-mini {
    font-size: 10px!important;
    line-height: 12px!important
}

#twister-plus-desktop-twister-container .apex_on_twister_price .centralizedApexPricePerUnitCSS .a-price {
    font-size: 10px!important
}

#twister-plus-desktop-twister-container .apex_on_twister_price .centralizedApexBasisPriceCSS {
    margin-top: -4px!important;
    margin-bottom: 0!important
}

#twister-plus-desktop-twister-container .apex_on_twister_price .centralizedApexBasisPriceCSS .a-price {
    font-size: 10px!important
}

/* ******** */
.js-feature-refresh-overlay {
    opacity: .5;
    pointer-events: none
}

/* ******** */
#twisterContainer .swatchSelect {
    box-shadow: none!important;
    border: 2px solid #007185!important
}

#twisterContainer .a-button-toggle.a-button-thumbnail.a-button-selected .a-button-inner .a-button-text::after {
    box-shadow: none
}

#twisterContainer .a-button-toggle.a-button-thumbnail .a-button-inner img {
    border-radius: 6px!important
}

#twisterContainer #twister .swatches li {
    border-radius: 7px!important;
    overflow: hidden
}

#twisterContainer .a-button:not(.a-button-dropdown):not(.tp-side-sheet-link) .a-button-inner {
    background: #FFF;
    box-shadow: none
}

#twisterContainer .a-button-toggle.a-button-focus:not(.a-button-selected) .a-button-inner,.a-button-toggle:focus:not(.a-button-selected) .a-button-inner,.a-button-toggle:hover:not(.a-button-selected) .a-button-inner {
    background: #FFF;
    box-shadow: none
}

#twisterContainer .a-button-toggle-group {
    text-align: unset;
    font-size: unset;
    margin-bottom: unset
}

#twisterContainer .a-mobile:not(.a-touch-scrolling) .a-native-dropdown,.a-mobile:not(.a-touch-scrolling) .a-native-splitdropdown,.a-tablet:not(.a-touch-scrolling) .a-native-dropdown,.a-tablet:not(.a-touch-scrolling) .a-native-splitdropdown {
    display: none
}

#twisterContainer .a-mobile:not(.a-touch-scrolling) .a-dropdown-container .a-button-dropdown,.a-mobile:not(.a-touch-scrolling) .a-button-group-splitdropdown,.a-tablet:not(.a-touch-scrolling) .a-button-group-splitdropdown,.a-tablet:not(.a-touch-scrolling) .a-dropdown-container .a-button-dropdown {
    display: -webkit-inline-flex
}

/* ******** */
#inline-twister-expander-content-size_name .desktop-twister-dim-row-0 .dimension-slot-info {height: 100px;} #inline-twister-expander-content-size_name .desktop-twister-dim-row-1 .dimension-slot-info {height: 100px;}

#inline-twister-expander-content-size_name .desktop-twister-dim-row-0 .dimension-slot-info-quality {height: 25px;} #inline-twister-expander-content-size_name .desktop-twister-dim-row-1 .dimension-slot-info-quality {height: 25px;}